Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 51)
@@ -3991,6 +4190,14 @@
                     work.IndependentFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.IndependentFlg].Value);
                     // 増減データフラグ
                     work.FluctuationFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.FluctuationFlg].Value);
+                    // 元工事番号
+                    work.SourceCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.SourceCode].Value);
+                    // 工事名称タイトルフラグ
+                    work.JoinTitleFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.JoinTitleFlg].Value);
+                    // 登録時月額給与
+                    work.SalaryOnRegist = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.SalaryOnRegist].Value);
+                    // 注文書発行フラグ
+                    work.PurchaseOrderFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.PurchaseOrderFlg].Value);
 
                     // 工事担当者・指導員行・ 副担当者行の場合は追加データセット
                     switch (work.GroupCount)
@@ -4080,10 +4287,10 @@
                     // 空白行は処理しない
                     if (BlankLine(wrkRow.Index)) continue;
 
-                    for (int i = (int)GridColumn.payment; i < PayEnd; i++)
+                    for (int i = (int)GridColumn.Payment; i < PayEnd; i++)
                     {
                         // 支払金額が無い場合は処理しない
-                        if (CommonMotions.cnvString(wrkRow.Cells[i].Value).Length == 0) continue;
+                        if (CommonMotions.cnvInt(wrkRow.Cells[i].Value) == 0) continue;
 
                         // データ定義
                         ConstructionLedgerExcute work = new ConstructionLedgerExcute();
@@ -4125,7 +4332,7 @@
             }
         }
         #endregion
-        // ---------- データ登録
+        // ---------- データ登録↑↑
 
         #region 画面項目のチェック
         /// <summary>
@@ -4212,7 +4419,7 @@
 
                     // 支払金額のチェック
                     int PayEnd = dgv.ColumnCount + (int)ColPayTotal.Totals;
-                    for (int i = (int)GridColumn.payment; i < PayEnd; i++)
+                    for (int i = (int)GridColumn.Payment; i < PayEnd; i++)
                     {
                         bAns = true;
                         if (CommonMotions.chkObjectIsNull(wrkRow.Cells[i].Value)) continue;
@@ -4256,7 +4463,7 @@
         }
         #endregion
 
-        // ---------- データ削除
+        // ---------- データ削除↓↓
         #region 工事詳細台帳データ削除
         /// <summary>
         /// 削除ボタン押下
@@ -4452,7 +4659,7 @@
             }
         }
         #endregion
-        // ---------- データ削除
+        // ---------- データ削除↑↑
 
         #region ブランク行の判定
         /// <summary>
@@ -4525,7 +4732,7 @@
                 if (frm.EndButton == System.Windows.Forms.DialogResult.OK)
                 {
                     SuppliersMaster selRec = frm.SelectData;
-                    dgv.CurrentRow.Cells[(int)GridColumn.CompanyType].Value = (int)CommonDefine.SearchLogDataType.Subconstractor;
+                    dgv.CurrentRow.Cells[(int)GridColumn.CompanyType].Value = (int)CommonDefine.CodeDataType.Subconstractor;
                     dgv.CurrentRow.Cells[(int)GridColumn.CompanyCode].Value = selRec.SuppliersCode;
                     dgv.CurrentRow.Cells[(int)GridColumn.CompanyName].Value = selRec.SuppliersName1 + " " + selRec.SuppliersName2;
                     m_bChengeAns = true;
@@ -4554,11 +4761,18 @@
                 dgvAllDisplay.ReadOnly = !bLook;
 
                 // 最後にボタンの処理を行う
-                //btnApprovalList.Visible = bLook;
                 btnDataEntry.Visible = bLook;
-                //btnDataDelete.Visible = bLook;
                 btnLineAdd.Visible = bLook;
                 btnLineDel.Visible = bLook;
+                btnComplate.Visible = bLook;
+                btnDispUp.Visible = bLook;
+                btnDispDown.Visible = bLook;
+                btnAssistantChange.Visible = bLook;
+                btnInstractorChange.Visible = bLook;
+                //btnChangePrice.Visible = bLook;
+
+                pnlGroup1.Enabled = bLook;
+                pnlGroup2.Enabled = bLook;
             }
             catch (Exception ex)
             {
@@ -4699,52 +4913,95 @@
             IOMPersonInCharge PersonDB = new IOMPersonInCharge();
             try
             {
+                // 参照モードは全てロック
+                //if (!m_EditLock) return false;
+
                 bool bPermit = false;
-                if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement)
+
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
                 {
-                    // システム管理者
-                    bPermit = true;
-                }
-                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
-                {
-                    // 最高機密管理者
-                    bPermit = true;
-                }
-                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key)
-                {
-                    // 統括責任者
-                    bPermit = true;
-                }
-                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key)
-                {
+                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement)
+                    {
+                        // システム管理者
+                        bPermit = true;
+                    }
+                    else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
+                    {
+                        // 最高機密管理者
+                        bPermit = true;
+                    }
+                    else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key)
+                    {
+                        // 統括責任者
+                        bPermit = true;
+                    }
+                    else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key)
+                    {
 
-                    // 上長は工事が自部署の関連だけ
-                    List<int> PersonList = new List<int>();
-                    PersonList.Add(m_ConstructionBaseInfo.SalesPersonCode);
-                    PersonList.Add(m_ConstructionBaseInfo.ConstructionPersonCode);
-                    if (m_ConstructionBaseInfo.ConstrSubPersonCode != 0) PersonList.Add(m_ConstructionBaseInfo.ConstrSubPersonCode);
-                    if (m_ConstructionBaseInfo.ConstructionInstructor != 0) PersonList.Add(m_ConstructionBaseInfo.ConstructionInstructor);
+                        // 上長は工事が自部署の関連だけ
+                        List<int> PersonList = new List<int>();
+                        PersonList.Add(m_ConstructionBaseInfo.SalesPersonCode);
+                        PersonList.Add(m_ConstructionBaseInfo.ConstructionPersonCode);
+                        if (m_ConstructionBaseInfo.ConstrSubPersonCode != 0) PersonList.Add(m_ConstructionBaseInfo.ConstrSubPersonCode);
+                        if (m_ConstructionBaseInfo.ConstructionInstructor != 0) PersonList.Add(m_ConstructionBaseInfo.ConstructionInstructor);
 
-                    foreach (int Personcode in PersonList)
-                    {
-                        string strSQL = PersonDB.CreatePrimarykeyString(Personcode);
-                        PersonInChargeMaster PersonRec = new PersonInChargeMaster();
-                        if (!PersonDB.SelectAction(strSQL, ref PersonRec)) continue;
+                        foreach (int Personcode in PersonList)
+                        {
+                            string strSQL = PersonDB.CreatePrimarykeyString(Personcode);
+                            PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+                            if (!PersonDB.SelectAction(strSQL, ref PersonRec)) continue;
 
-                        // 所属上長では無ければfalse
-                        if (PersonRec.DepartmentCode == CommonMotions.LoginUserData.DepartmentCode)
-                        {
-                            bPermit = true;
-                            break;
+                            // 所属上長では無ければfalse
+                            if (PersonRec.DepartmentCode == CommonMotions.LoginUserData.DepartmentCode)
+                            {
+                                bPermit = true;
+                                break;
+                            }
                         }
+
                     }
-
+                    else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
+                    {
+                        // 一般ユーザー
+                        bPermit = false;
+                    }
                 }
-                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
+                else
                 {
-                    // 一般ユーザー
-                    bPermit = false;
+                    int SRank = (int)CommonDefine.SecurityRankPos.SpecialAuthority;     // 経営者アクセス
+                    int FRank = (int)CommonDefine.SecurityRankPos.FreeAuthority;        // 統括者アクセス
+                    int LRank = (int)CommonDefine.SecurityRankPos.LimitedAuthority;     // 所属長アクセス
+                    int NRank = (int)CommonDefine.SecurityRankPos.NormalAuthority;      // 一般者アクセス
+
+                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)                               // システム管理者
+                    {
+                        // ===== 全データ対象の場合はOK
+                        bPermit = true;
+                    }
+                    else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[SRank].Key)       // 経営者アクセス
+                    {
+                        // ===== 全データ対象の場合はOK
+                        bPermit = true;
+                    }
+                    else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[FRank].Key)       // 統括者アクセス
+                    {
+                        // ===== 統括者アクセス対象の条件を調べる
+                        bPermit = ClsSecurityPermission.PersonDataAccess(m_ConstructionCode);
+                    }
+                    else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[LRank].Key)       // 所属長アクセス
+                    {
+                        // ===== 所属長アクセス対象の条件を調べる
+                        bPermit = ClsSecurityPermission.PersonDataAccess(m_ConstructionCode);
+                    }
+                    else if (CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[NRank].Key)       // 一般者アクセス
+                    {
+                        // ===== 一般者アクセス対象の条件を調べる
+                        // 一般ユーザー
+                        bPermit = false;
+                    }
                 }
+
                 return bPermit;
             }
             catch (Exception ex)
@@ -5028,12 +5285,6 @@
         /// <summary>
         /// 変更データのセット
         /// </summary>
-        /// <param name="GroupCount"></param>
-        /// <param name="InsertCnt"></param>
-        /// <param name="SalaryFlg"></param>
-        /// <param name="SalaryDays"></param>
-        /// <param name="CodeType"></param>
-        /// <param name="PersonCode"></param>
         private void SetRowOnChangeData(int GroupCount, int InsertCnt, int SalaryFlg, int SalaryDays, int PersonCode)
         {
             IOMPersonInCharge PersonDB = new IOMPersonInCharge();
@@ -5044,7 +5295,7 @@
                 PersonInChargeMaster PersonRec = new PersonInChargeMaster();
                 PersonDB.SelectAction(strSQL, ref PersonRec);
 
-                int CodeType = (int)CommonDefine.SearchLogDataType.Person;
+                int CodeType = (int)CommonDefine.CodeDataType.Person;
                 double BetweenTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);   // 工期取得
                 double CostsValue = 0;
                 string FirstString = string.Empty;
@@ -5058,13 +5309,13 @@
                     case (int)CommonDefine.SalaryDevision.All:       // 全日
                         // 給与計算
                         CostsValue = CommonDefine.AssistantMonthryCost * BetweenTimes;
-                        SecondString = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, BetweenTimes, CommonDefine.AssistantMonthryCost.ToString("#,0"));
+                        SecondString = string.Format(CommonDefine.s_SalaryCostMonthlyFormat,
+                                                        BetweenTimes.ToString("0.00"),
+                                                        CommonDefine.AssistantMonthryCost.ToString("#,0"));
                         FirstString = string.Format("{0}【{1}氏】", s_GroupTitle[GroupCount], PersonRec.SealPrintName);
 
                         break;
                     case (int)CommonDefine.SalaryDevision.Noting:    // 振分無
-                        CodeType = 0;
-                        PersonCode = 0;
                         SecondString = string.Empty;
                         break;
 
@@ -5072,7 +5323,9 @@
                         // 日額給与取得
                         double daylySalary = CommonMotions.cnvRound(CommonDefine.AssistantMonthryCost / CommonDefine.s_ManHourUnitMonth);
                         CostsValue = daylySalary * SalaryDays;
-                        SecondString = string.Format(CommonDefine.s_SalaryCostDaylyFormat, SalaryDays.ToString("0"), daylySalary.ToString("#,0"));
+                        SecondString = string.Format(CommonDefine.s_SalaryCostMonthlyFormat,
+                                                    ClsCalendar.cnvMonthFromDays(SalaryDays).ToString("0.00"),
+                                                    CommonDefine.AssistantMonthryCost.ToString("#,0"));
                         FirstString = string.Format("{0}【{1}氏】", s_GroupTitle[GroupCount], PersonRec.SealPrintName);
                         break;
                 }
@@ -5146,6 +5399,9 @@
                 // パラメタ設定
                 frm.ConstructionCode = m_ConstructionCode;
                 frm.EditFalg = CheckLeaderOrUser();
+                int OderP = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text);
+                frm.OrdersDecisionPrice = CommonMotions.cnvInt(OderP);
+                // 変更画面表示
                 frm.ShowDialog();
                 if (frm.EndButton != DialogResult.OK) return;
 
@@ -5202,6 +5458,9 @@
                 if (CommonMotions.chkObjectIsNull(CurRow.Cells[(int)GridColumn.BlankFlg].Value)) return;
                 if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.BlankFlg].Value) != 0) return;
 
+                if (CommonMotions.chkObjectIsNull(CurRow.Cells[(int)GridColumn.JoinTitleFlg].Value)) return;
+                if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.JoinTitleFlg].Value) != 0) return;
+
                 // 空白行は処理しない
                 if (BlankLine(RowIndex)) return;
 
@@ -5213,12 +5472,12 @@
                 {
                     case (int)GridColumn.EstimatePrice:
                         // 予定金額
-                        CurRow.Cells[ColumnIndex].Value = CommonMotions.cnvInt(CurRow.Cells[ColumnIndex].Value).ToString("#,#");
+                        CurRow.Cells[ColumnIndex].Value = CommonMotions.cnvInt(CurRow.Cells[ColumnIndex].Value).ToString("#,0");
                         break;
                     case (int)GridColumn.ExecPrice:
                         // 実行金額
                         int execprice = CommonMotions.cnvInt(CurRow.Cells[ColumnIndex].Value);
-                        CurRow.Cells[ColumnIndex].Value = execprice.ToString("#,#");
+                        CurRow.Cells[ColumnIndex].Value = execprice.ToString("#,0");
 
                         if (GroupNo != (int)DataGroup.BillingAmount && GroupNo != (int)DataGroup.CurrentProfit)
                         {
@@ -5228,43 +5487,43 @@
                         break;
                     default:
                         // その他
-                        if (ColumnIndex >= (int)GridColumn.payment)
+                        if ((int)GridColumn.Payment <= ColumnIndex)
                         {
-                            CurRow.Cells[ColumnIndex].Value = CommonMotions.cnvInt(CurRow.Cells[ColumnIndex].Value).ToString("#,#");
+                            CurRow.Cells[ColumnIndex].Value = CommonMotions.cnvInt(CurRow.Cells[ColumnIndex].Value).ToString("#,0");
                         }
                         break;
                 }
 
-                // 従属項目がある独立項目であれば自行の合計を表示しない
-                bool bDspTotalFlg = true;
-                int nextRowCnt = CurRow.Index + 1;
-                if (nextRowCnt < dgv.RowCount)
-                {
+                // 従属項目がある独立項目であれば自行の合計を表示しない(2016/11/08従属項目は使用していない)
+                //bool bDspTotalFlg = true;
+                //int nextRowCnt = CurRow.Index + 1;
+                //if (nextRowCnt < dgv.RowCount)
+                //{
                     // 自行は独立項目
-                    if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.IndependentFlg].Value) == 1)
-                    {
-                        // 次行は従属項目
-                        if (CommonMotions.cnvInt(dgv.Rows[nextRowCnt].Cells[(int)GridColumn.ChildFlg].Value) == 1)
-                            bDspTotalFlg = false;
-                    }
-                }
+                    //if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.IndependentFlg].Value) == 1)
+                    //{
+                    //    // 次行は従属項目
+                    //    //if (CommonMotions.cnvInt(dgv.Rows[nextRowCnt].Cells[(int)GridColumn.ChildFlg].Value) == 1)
+                    //        //bDspTotalFlg = false;
+                    //}
+                //}
 
                 // 支払い合計計算
                 int TotalCols = dgv.ColumnCount + (int)ColPayTotal.Totals;
+                //int RowTotal = 0;
+                //if (bDspTotalFlg)
+                //{
+                // 支払金額の合計
                 int RowTotal = 0;
-                if (bDspTotalFlg)
+                for (int i = (int)GridColumn.Payment; i < TotalCols; i++)
                 {
-                    // 支払金額の合計
-                    RowTotal = 0;
-                    for (int i = (int)GridColumn.payment; i < TotalCols; i++)
-                    {
-                        RowTotal += CommonMotions.cnvInt(CurRow.Cells[i].Value);
-                    }
+                    RowTotal += CommonMotions.cnvInt(CurRow.Cells[i].Value);
                 }
-                else
-                {   // 表示しないときは支払合計を0にする
-                    RowTotal = 0;
-                }
+                //}
+                //else
+                //{   // 表示しないときは支払合計を0にする
+                //    RowTotal = 0;
+                //}
 
                 // グループによって支払計算の表示等を変更する
                 int ResultCols = dgv.ColumnCount + (int)ColPayTotal.Results;
@@ -5288,6 +5547,7 @@
                         // 実績表示
                         int ExecPrice = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.ExecPrice].Value);
                         int ResultValue = (ExecPrice - RowTotal);
+
                         CurRow.Cells[TotalCols].Value = RowTotal.ToString("#,0");
                         CurRow.Cells[ResultCols].Value = ResultValue.ToString("#,0");
 
@@ -5330,7 +5590,7 @@
 
                 // 経費金額計算
                 CurRow.Cells[(int)GridColumn.ExecPrice].Value = ((int)(OrdersPrice * (percent / 100.0))).ToString("#,#");
-                CurRow.Cells[(int)GridColumn.payment].Value = ((int)(OrdersPrice * (percent / 100.0))).ToString("#,#");
+                CurRow.Cells[(int)GridColumn.Payment].Value = ((int)(OrdersPrice * (percent / 100.0))).ToString("#,#");
 
                 DataGridView dgv = dgvAllDisplay;
                 // 合計欄位置取得
@@ -5365,6 +5625,7 @@
                 strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
                 strSQL += " AND A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE";
                 strSQL += string.Format(" AND B.APPROVALCODE = {0})", (int)ClsExcute.ApprovalListNo.ConstructionBudgetApproval);
+                strSQL += string.Format(" AND B.ORDERNO = {0}", CommonDefine.s_Default_OrderNo);
                 strSQL += string.Format(" AND CONSTRUCTIONSTATUSFLG != {0}", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key);
 
                 ArrayList arList = new ArrayList();
@@ -5388,7 +5649,7 @@
         }
         #endregion
 
-        // ---------- 増減データを台帳データへ追加する
+        // ---------- 台帳データへ追加する↓↓
         #region 増減データを台帳データへ追加する
         /// <summary>
         /// 増減データを台帳データへ追加する
@@ -5419,7 +5680,8 @@
                 if (!InitDispData()) return false;
 
                 // 受注金額を変更する
-                if (!SetAddData_OrderPrice()) return false;
+                //（2017/01/17 ヘッダーセット時に金額のセットを行っているのでここでは変更しない）
+                //if (!SetAddData_OrderPrice()) return false;
 
                 // 経費を再計算
                 if (!SetAddData_Expeness()) return false;
@@ -5511,12 +5773,12 @@
                 // 現在年月日取得
                 string NowMonth = string.Format("{0}/{1}/1", DateTime.Now.Year, DateTime.Now.Month);
                 // 工事開始年月取得
-                string StartHeder = CommonMotions.cnvString(dgv.Columns[(int)GridColumn.payment].HeaderCell.Value).Replace("年", "/").Replace("月", "/") + "1";
+                string StartHeder = CommonMotions.cnvString(dgv.Columns[(int)GridColumn.Payment].HeaderCell.Value).Replace("年", "/").Replace("月", "/") + "1";
 
                 // 経過月数計算
                 DateTime StDate = CommonMotions.cnvDate(StartHeder);
                 DateTime EdDate = CommonMotions.cnvDate(NowMonth);
-                int Betwen = (int)GridColumn.payment + MonthDiff(StDate, EdDate);
+                int Betwen = (int)GridColumn.Payment + MonthDiff(StDate, EdDate);
 
                 for (int i = StartLine; i < dgv.RowCount; i++)
                 {
@@ -5537,7 +5799,7 @@
                     //GridRow.Cells[(int)DispGridColumn.ExecPrice].Value = ((int)CalcValue).ToString("#,#");
 
                     // 支払金額セット
-                    if (Betwen == (int)GridColumn.payment)
+                    if (Betwen == (int)GridColumn.Payment)
                     {   // 工期が１カ月しかない場合
                         GridRow.Cells[Betwen].Value = ((int)CalcValue).ToString("#,#");
                     }
@@ -5633,7 +5895,7 @@
                     TargetLine = i;
                 }
 
-                // データ号現番号取得
+                // データ増減番号取得
                 int FluctuationNo = (int)CommonDefine.FluctuatesFlg.Fluctuates;
                 // 次の行から追加
                 TargetLine++;
@@ -5657,8 +5919,10 @@
                     GridRow.Cells[(int)GridColumn.EstimatePrice].Value = DetailRec.EstimatePrice.ToString("#,0");
                     GridRow.Cells[(int)GridColumn.ExecPrice].Value = DetailRec.ExecutionAmount.ToString("#,0");
                     GridRow.Cells[(int)GridColumn.Percent].Value = CalculattionPercent(DetailRec.ExecutionAmount).ToString("0.00");
+                    GridRow.Cells[(int)GridColumn.SourceCode].Value = m_AddingConstrCode;
                     GridRow.Cells[(int)GridColumn.IndependentFlg].Value = "1";
                     GridRow.Cells[(int)GridColumn.FluctuationFlg].Value = FluctuationNo;
+                    GridRow.Cells[(int)GridColumn.PurchaseOrderFlg].Value = (int)CommonDefine.PurchaseOrderFlg.NoCreate;
 
                     // 合計欄位置取得
                     int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
@@ -5703,7 +5967,8 @@
                 // 交通費表示
                 if (!SetAddData_ConstructionBudget((int)FrmConstructionBudget.DataGroup.TransportationCosts)) return false;
                 // 購入品
-                if (!SetAddData_PurchaseCosts()) return false;
+                //if (!SetAddData_PurchaseCosts()) return false;
+                if (!SetAddData_ConstructionBudget((int)FrmConstructionBudget.DataGroup.PurchaseCosts)) return false;
                 // 車両リース代
                 if (!SetAddData_ConstructionBudget((int)FrmConstructionBudget.DataGroup.VehicleLeaseFee)) return false;
                 // 駐車場・資材置き場
@@ -5723,9 +5988,9 @@
         }
         #endregion
 
-        #region データ追加：購入品をマージする
+        #region データ追加：購入品をマージする（※未使用）
         /// <summary>
-        /// データ追加：購入品をマージする
+        /// データ追加：購入品をマージする（※未使用）
         /// </summary>
         /// <returns></returns>
         private bool SetAddData_PurchaseCosts()
@@ -5735,7 +6000,7 @@
             {
                 // 工事予算書明細データを読み込む
                 string strSQL = "SELECT SUM(ESTIMATEPRICE), SUM(EXECUTIONAMOUNT), SUM(AMOUNTCONFIGRATE) FROM CONSTRUCTIONBUDGETDETAIL";
-                strSQL += DetailDB.CreatePrimarykeyString(AddingConstrCode);
+                strSQL += DetailDB.CreatePrimarykeyString(m_AddingConstrCode);
                 strSQL += string.Format(" AND GROUPCOUNT = {0}", (int)FrmConstructionBudget.DataGroup.PurchaseCosts);       // 購入品
                 ArrayList DetailList = new ArrayList();
                 if (!DetailDB.ExecuteReader(strSQL, ref DetailList)) return false;
@@ -5784,7 +6049,7 @@
             try
             {
                 // 工事予算書明細データを読み込む
-                string strSQL = DetailDB.CreatePrimarykeyString(AddingConstrCode);
+                string strSQL = DetailDB.CreatePrimarykeyString(m_AddingConstrCode);
                 strSQL += string.Format(" AND GROUPCOUNT = {0}", GroupNo);
                 strSQL += " ORDER BY LineCount ASC";
 
@@ -5799,6 +6064,10 @@
                     case (int)FrmConstructionBudget.DataGroup.VehicleLeaseFee:
                         TargetLine = m_CostsRowCount[(int)CostsRowLine.VehicleLeaseFeeRowLine];
                         break;
+                    // 購入品
+                    case (int)FrmConstructionBudget.DataGroup.PurchaseCosts:
+                        TargetLine = m_CostsRowCount[(int)CostsRowLine.PurchaseCostsRowLine];
+                        break;
                     // 交通費（通行料・電車代）
                     case (int)FrmConstructionBudget.DataGroup.TransportationCosts:
                         TargetLine = m_CostsRowCount[(int)CostsRowLine.TransportationCostsRowLine];
@@ -5853,20 +6122,19 @@
         /// <returns></returns>
         private bool SetAddData_WorkingValue()
         {
-            IOConstructionBudgetDetail DetailDB = new IOConstructionBudgetDetail();
             try
             {
-                int GroupNo = (int)DataGroup.TransportationCosts + 1;
+                int BlockNo = (int)DataGroup.TransportationCosts + 1;
                 int icnt = 1;
                 // グループ名表示
-                CreateTitleRow(GroupNo, s_PersonnelExpensesGroup);
+                CreateTitleRow(BlockNo, s_PersonnelExpensesGroup);
 
                 // 指導員給与
-                if (!SetAddData_AddWorkingRow(GroupNo, (int)FrmConstructionBudget.DataGroup.InstructorCosts, icnt++)) return false;
+                if (!SetAddData_AddWorkingRow(BlockNo, (int)FrmConstructionBudget.DataGroup.InstructorCosts, icnt++)) return false;
                 // 副担当者給与
-                if (!SetAddData_AddWorkingRow(GroupNo, (int)FrmConstructionBudget.DataGroup.AssistantCosts, icnt++)) return false;
+                if (!SetAddData_AddWorkingRow(BlockNo, (int)FrmConstructionBudget.DataGroup.AssistantCosts, icnt++)) return false;
                 // 担当者給与経費
-                if (!SetAddData_AddWorkingRow(GroupNo, (int)FrmConstructionBudget.DataGroup.PayrollExpenses, icnt++)) return false;
+                if (!SetAddData_AddWorkingRow(BlockNo, (int)FrmConstructionBudget.DataGroup.PayrollExpenses, icnt++)) return false;
 
                 return true;
             }
@@ -5875,10 +6143,6 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return false;
             }
-            finally
-            {
-                DetailDB.close(); DetailDB = null;
-            }
         }
         #endregion
 
@@ -5898,7 +6162,8 @@
                 strSQL += " ORDER BY LineCount ASC";
 
                 ConstructionBudgetDetail DetailRec = new ConstructionBudgetDetail();
-                if (!DetailDB.SelectAction(strSQL, ref DetailRec)) return false;
+                //　データが無ければ対象外
+                if (!DetailDB.SelectAction(strSQL, ref DetailRec)) return true;
 
                 // 対象行数取得
                 int TargetLine = -1;
@@ -5931,6 +6196,8 @@
                         TargetLine = m_CostsRowCount[(int)CostsRowLine.PayrollRowLine];
                         GroupNo = (int)DataGroup.Payroll;
 
+                        // 担当者行に名前を入れる
+                        SetFirstStringName(GroupNo, ref DetailRec);
                         // 一般ユーザーは担当者の給与を見えないようにする
                         if (!CheckLeaderOrUser()) DetailRec.SecondString = string.Empty;
                         break;
